Compare commits

...
This repository has been archived on 2024-04-08. You can view files and clone it, but cannot push or open issues or pull requests.

3 Commits

Author SHA1 Message Date
Deon George
a9a02bb395 Added Game Double Up! 1.0, Utility BLAM 2.0 2018-08-27 20:49:31 +10:00
Deon George
bdf690fd89 Update to stretch 2018-08-27 20:37:42 +10:00
Deon George
1769f92719 Updates for Mystic BBS 1.12a39 on x86_64 2018-08-25 23:45:25 +10:00
7 changed files with 49 additions and 42 deletions

View File

@ -25,7 +25,7 @@ test:
- docker build -t ${CI_REGISTRY_IMAGE}:${VERSION} .
- docker images
tags:
- docker-armv7l
- docker
only:
- debug
@ -33,11 +33,11 @@ build:
stage: build
script:
- if [ -f init ]; then chmod 500 init; fi
- docker pull ${CI_REGISTRY_IMAGE}:${CACHETAG} || true
# docker pull ${CI_REGISTRY_IMAGE}:${CACHETAG} || true
- docker build --cache-from ${CI_REGISTRY_IMAGE}:${CACHETAG} -t ${CI_REGISTRY_IMAGE}:${VERSION} -t ${CI_REGISTRY_IMAGE}:${CACHETAG} .
- docker push ${CI_REGISTRY_IMAGE}:${VERSION}
- docker push ${CI_REGISTRY_IMAGE}:${CACHETAG}
# docker push ${CI_REGISTRY_IMAGE}:${CACHETAG}
tags:
- docker-armv7l
- docker
only:
- armv7l
- /^x86_64-.*/

View File

@ -1,31 +1,26 @@
# NAME leenooks/mysticbbs
# VERSION 1.12a39-armv7l
# VERSION 1.12a39-x86_64-extras
FROM arm32v7/debian:jessie-slim
FROM registry.leenooks.net/leenooks/mysticbbs:1.12a39-x86_64
MAINTAINER Deon George <deon@leenooks.net>
## Add Mystic Mods
# Game DBLup - Double-Up! v1.0
RUN SOURCE_URL=http://yum.leenooks.net/bbs/MysticBBS/mods && FILE=DBLUP10.ZIP && \
cd /tmp && \
curl -O ${SOURCE_URL}/${FILE} && \
unzip ${FILE} && \
cd /mystic/ && \
mv /tmp/sysop.txt docs/mod-dblup-1.0-sysop.txt && \
mv /tmp/doubleup.mps scripts/ && cd scripts && ./mplc doubleup.mps && \
rm -rf /tmp/**
# Pre-requisites
RUN apt-get update \
&& apt-get install -yqq unzip zip curl libhunspell-dev \
&& rm -rf /var/lib/apt/lists/* /tmp/*
# For SSH connections and Spell
ADD libcl.so.3.4.3 /usr/lib
RUN ln -sf libcl.so.3.4.3 /usr/lib/libcl.so
RUN ln -sf /usr/lib/arm-linux-gnueabihf/libhunspell-1.3.so.0 /usr/lib/libhunspell.so
RUN ln -sf /usr/share/zoneinfo/Australia/Melbourne /etc/localtime
WORKDIR /mystic
ENV mysticbbs /mystic/data
EXPOSE 22 23 24554
COPY init /sbin/init
ENTRYPOINT [ "/sbin/init" ]
CMD [ "start" ]
ADD mystic.tar.gz /
VOLUME ["/mystic/data"]
# Add Mystic Mods
# Utility BLAM - BBS List Admin Manager v2.1
RUN SOURCE_URL=http://yum.leenooks.net/bbs/MysticBBS/mods && FILE=GYBLAM21.ZIP && \
cd /tmp && \
curl -O ${SOURCE_URL}/${FILE} && \
unzip ${FILE} && \
cd /mystic/ && \
mv /tmp/sysop.txt docs/mod-blam-2.1-sysop.txt && \
mv /tmp/gy-blam.ini docs/mod-blam-2.1-gy-blam.ini && \
mv /tmp/gy-blam.mps scripts/ && cd scripts && ./mplc gy-blam.mps && \
rm -rf /tmp/**

View File

@ -19,7 +19,7 @@ To use this container:
1. Docker pull it from my registry. (Actually you can skip this step, but its worth doing it anyway!)
docker pull registry.leenooks.net/leenooks/mysticbbs:1.12a39-armv7l
docker pull registry.leenooks.net/leenooks/mysticbbs:1.12a39-x86_64
2. Create a directory to hold your BBS data. (I use */srv/docker/mystic*).
@ -27,7 +27,7 @@ To use this container:
3. Start the container.
docker run -itd -v /srv/mystic/data:/mystic/data -p 10022:22 -p 10023:23 -p 24554:24554 registry.leenooks.net/leenooks/mysticbbs:1.12a39-armv7l
docker run -itd -v /srv/mystic/data:/mystic/data -p 10022:22 -p 10023:23 -p 24554:24554 registry.leenooks.net/leenooks/mysticbbs:1.12a39-x86_64
Explanation of these parameters:
@ -63,5 +63,16 @@ If you want to monitor your container, or stop it, attach to the console with:
You can also run this in a swarm (I do)!
----
## Extras Container
There is an "extras" container with some additional MysticBBS mods pre-installed. You'll find info on that in the [armv7l-extras](https://dev.leenooks.net/leenooks/mysticbbs/blob/armv7l-extras/README.md) branch.
## Info on the Images
### leenooks/mysticbbs:1.12a39-armv7l (Branch: armv7l)
This image is a clean install of Mystic BBS v1.12a39. It is ready for you to configure and personalise.
### leenooks/mysticbbs:1.12a39-armv7l-extras (Branch: armv7l-extras)
This image is based on the above image, with the follow additional games/tools installed. You'll need to refer to the documentation in the docs/ directory (inside the container) for details on how to configure these mods. The docs are named `mod-<NAME OF MOD>-...`
| Category | Name | Description |
| :- | :- | :- |
| Game | Double Up | Double Up! for Mystic V1.0 by Darryl Perry |
| Utility | BLAM | BBS List Admin Manager for Mystic v2.0 by Darryl Perry |

View File

@ -2,3 +2,4 @@ data
mystic
mods
*.zip
*.rar

View File

@ -2,20 +2,20 @@
set -e
MYSTIC_SOURCE=${1:-mys112a39_pi.zip}
MYSTIC_SOURCE=${1:-mys112a39_l64.rar}
[ "$1" ] && shift
SPELL_SOURCE=${1:-mystic_spellcheck_v2.zip}
[ "$1" ] && shift
CLEAN_INSTALL_DIR=x
INSTALL_CONTAINER=arm32v7/debian:jessie-slim
INSTALL_CONTAINER=debian:stretch-slim
TARGET_DIR=mystic
PATCH_FILE=mystic.112a39.patch
[ $(id -u) -ne 0 ] && echo "ERROR: You need to run me as root." && exit 1
if [ -d ${TARGET_DIR} ]; then
echo "! Skipping installation [$TARGET_DIR} already exists"
echo "! Skipping installation [${TARGET_DIR}] already exists"
else
# 1) Download Mystic App
@ -24,8 +24,8 @@ else
# 2) Create a new directory for it and unzip the App into it
[ -d ${CLEAN_INSTALL_DIR} ] && echo "ERROR: Directory [${CLEAN_INSTALL_DIR}] already exists!" && exit 1
unzip ${MYSTIC_SOURCE} -d ${CLEAN_INSTALL_DIR}
[ $? -gt 0 ] && echo "ERROR: Unzip failed?" && exit 1
mkdir ${CLEAN_INSTALL_DIR}; cd ${CLEAN_INSTALL_DIR}; unrar x ../${MYSTIC_SOURCE}; cd ..
[ $? -gt 0 ] && echo "ERROR: Unrar failed?" && exit 1
# 3) Run docker with -v mapping the unzip files to an arbitrary directory -v unzipfiles:/install
# ** @TODO Request upstream to default QWK and Echo DIRs to named dir as well during installation
@ -74,5 +74,5 @@ echo "Zipping up data dir..."
tar czf mystic/data.tar.gz data/
# That dir is now ready for the image
tar czf mystic.tar.gz mystic
tar czf ../mystic.tar.gz mystic
echo "OK mystic.tar.gz can be moved to your docker build"

Binary file not shown.

Binary file not shown.